Bug 30079 - Не работает
: Не работает
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/writer2latex)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-05-15 17:42 by
Modified: 2014-05-20 12:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-05-15 17:42:01
writer2latex-1.2.0-alt1

 java -jar /usr/share/java/writer2latex.jar -latex -config=convert.xml
методичка.odt 
Exception in thread "main" java.lang.UnsupportedClassVersionError:
writer2latex/Application : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
Could not find the main class: writer2latex.Application. Program will exit.
------- Comment #1 From 2014-05-19 15:14:04 -------
С java-1.7.0-openjdk работает
------- Comment #2 From 2014-05-19 15:51:06 -------
> С java-1.7.0-openjdk работает
Да, работает, проблема в том, что при наличии java-1.7.0 фактически запускалась
1.6.0 :(
------- Comment #3 From 2014-05-20 12:40:43 -------
Если и есть ошибка, так это в том, как устроена множественная Java.